# GstVideoBufferPool

Special GstBufferPool subclass for raw video buffers.

Allows configuration of video-specific requirements such as stride alignments or pixel padding, and can also be configured to automatically add GstVideoMeta to the buffers.

## GstVideoBufferPool

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstBufferPool
                    ╰──GstVideoBufferPool

### Members

`bufferpool` (GstBufferPool) –
No description available
`priv` (GstVideoBufferPoolPrivate*) –
No description available

### Class structure

#### GstVideoBufferPoolClass

##### Fields

`parent_class` (GstBufferPoolClass) –
No description available

### GstVideo.VideoBufferPoolClass

##### Attributes

`parent_class` (Gst.BufferPoolClass) –
No description available

### GstVideo.VideoBufferPoolClass

##### Attributes

`parent_class` (Gst.BufferPoolClass) –
No description available

## GstVideo.VideoBufferPool

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.BufferPool
                    ╰──GstVideo.VideoBufferPool

### Members

`bufferpool` (Gst.BufferPool) –
No description available
`priv` (GstVideo.VideoBufferPoolPrivate) –
No description available

## GstVideo.VideoBufferPool

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.BufferPool
                    ╰──GstVideo.VideoBufferPool

### Members

`bufferpool` (Gst.BufferPool) –
No description available
`priv` (GstVideo.VideoBufferPoolPrivate) –
No description available

### Constructors

#### gst_video_buffer_pool_new

    GstBufferPool *
    gst_video_buffer_pool_new ()

Create a new bufferpool that can allocate video frames. This bufferpool supports all the video bufferpool options.

Returns ( [transfer: full]) –

a new GstBufferPool to allocate video frames

#### GstVideo.VideoBufferPool.prototype.new

    function GstVideo.VideoBufferPool.prototype.new(): {
        // javascript wrapper for 'gst_video_buffer_pool_new'
    }

Create a new bufferpool that can allocate video frames. This bufferpool supports all the video bufferpool options.

Returns (Gst.BufferPool) –

a new Gst.BufferPool to allocate video frames

#### GstVideo.VideoBufferPool.new

    def GstVideo.VideoBufferPool.new ():
        #python wrapper for 'gst_video_buffer_pool_new'

Create a new bufferpool that can allocate video frames. This bufferpool supports all the video bufferpool options.

Returns (Gst.BufferPool) –

a new Gst.BufferPool to allocate video frames

## Functions

### gst_buffer_pool_config_get_video_alignment

    gboolean
    gst_buffer_pool_config_get_video_alignment (const GstStructure * config,
                                                GstVideoAlignment * align)

Get the video alignment from the bufferpool configuration config in in align

Parameters:

`config` –

a GstStructure

`align` –

a GstVideoAlignment

Returns –

TRUE if config could be parsed correctly.

### GstVideo.prototype.buffer_pool_config_get_video_alignment

    function GstVideo.prototype.buffer_pool_config_get_video_alignment(config: Gst.Structure, align: GstVideo.VideoAlignment): {
        // javascript wrapper for 'gst_buffer_pool_config_get_video_alignment'
    }

Get the video alignment from the bufferpool configuration config in in align

Parameters:

`config` (Gst.Structure) –

a Gst.Structure

`align` (GstVideo.VideoAlignment) –

a GstVideo.VideoAlignment

Returns (Number) –

true if config could be parsed correctly.

### GstVideo.buffer_pool_config_get_video_alignment

    def GstVideo.buffer_pool_config_get_video_alignment (config, align):
        #python wrapper for 'gst_buffer_pool_config_get_video_alignment'

Get the video alignment from the bufferpool configuration config in in align

Parameters:

`config` (Gst.Structure) –

a Gst.Structure

`align` (GstVideo.VideoAlignment) –

a GstVideo.VideoAlignment

Returns (bool) –

True if config could be parsed correctly.

### gst_buffer_pool_config_set_video_alignment

    gst_buffer_pool_config_set_video_alignment (GstStructure * config,
                                                const GstVideoAlignment * align)

Set the video alignment in align to the bufferpool configuration config

Parameters:

`config` –

a GstStructure

`align` –

a GstVideoAlignment

### GstVideo.prototype.buffer_pool_config_set_video_alignment

    function GstVideo.prototype.buffer_pool_config_set_video_alignment(config: Gst.Structure, align: GstVideo.VideoAlignment): {
        // javascript wrapper for 'gst_buffer_pool_config_set_video_alignment'
    }

Set the video alignment in align to the bufferpool configuration config

Parameters:

`config` (Gst.Structure) –

a Gst.Structure

`align` (GstVideo.VideoAlignment) –

a GstVideo.VideoAlignment

### GstVideo.buffer_pool_config_set_video_alignment

    def GstVideo.buffer_pool_config_set_video_alignment (config, align):
        #python wrapper for 'gst_buffer_pool_config_set_video_alignment'

Set the video alignment in align to the bufferpool configuration config

Parameters:

`config` (Gst.Structure) –

a Gst.Structure

`align` (GstVideo.VideoAlignment) –

a GstVideo.VideoAlignment

## Function Macros

### GST_VIDEO_BUFFER_POOL_CAST

    #define GST_VIDEO_BUFFER_POOL_CAST(obj) ((GstVideoBufferPool*)(obj))

## Constants

### GST_BUFFER_POOL_OPTION_VIDEO_ALIGNMENT

    #define GST_BUFFER_POOL_OPTION_VIDEO_ALIGNMENT "GstBufferPoolOptionVideoAlignment"

A bufferpool option to enable extra padding. When a bufferpool supports this option, gst_buffer_pool_config_set_video_alignment can be called.

When this option is enabled on the bufferpool, GST_BUFFER_POOL_OPTION_VIDEO_META should also be enabled.

### GstVideo.BUFFER_POOL_OPTION_VIDEO_ALIGNMENT

A bufferpool option to enable extra padding. When a bufferpool supports this option, GstVideo.prototype.buffer_pool_config_set_video_alignment can be called.

When this option is enabled on the bufferpool, GstVideo.BUFFER_POOL_OPTION_VIDEO_META should also be enabled.

### GstVideo.BUFFER_POOL_OPTION_VIDEO_ALIGNMENT

A bufferpool option to enable extra padding. When a bufferpool supports this option, GstVideo.buffer_pool_config_set_video_alignment can be called.

When this option is enabled on the bufferpool, GstVideo.BUFFER_POOL_OPTION_VIDEO_META should also be enabled.

### GST_BUFFER_POOL_OPTION_VIDEO_META

    #define GST_BUFFER_POOL_OPTION_VIDEO_META "GstBufferPoolOptionVideoMeta"

An option that can be activated on bufferpool to request video metadata on buffers from the pool.

### GstVideo.BUFFER_POOL_OPTION_VIDEO_META

An option that can be activated on bufferpool to request video metadata on buffers from the pool.

### GstVideo.BUFFER_POOL_OPTION_VIDEO_META

An option that can be activated on bufferpool to request video metadata on buffers from the pool.

The results of the search are